## org.h2.store.fs
Class FileChannelOutputStream

    java.lang.Object
      java.io.OutputStream
          org.h2.store.fs.FileChannelOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class FileChannelOutputStream

extends java.io.OutputStream

Allows to write to a file channel like an output stream.

Constructor Summary
`FileChannelOutputStream(java.nio.channels.FileChannel channel, boolean append)` Create a new file object output stream from the file channel.

Method Summary
`void` `close()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileChannelOutputStream

    public FileChannelOutputStream(java.nio.channels.FileChannel channel,
                                   boolean append)
                            throws java.io.IOException

  Create a new file object output stream from the file channel.

  Parameters:
    `channel` - the file channel
    `append` - true for append mode, false for truncate and overwrite
  Throws:
    `java.io.IOException`

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`